
function afficherAltitudeTemps()
{

    $.getJSON('../Controleurs/controleur.php',
            {'commande': 'getTpsAlt'                
            })
            .done(function (donnees, stat, xhr) {
                var categories = donnees.categories;

                var tabSerie = donnees.series;
                const chart = Highcharts.chart('container', {
                    chart: {
                        type: 'spline'  // bar, line, spline
                    },
                    title: {
                        text: 'Evolution altitude dans le temps'
                    },
                    xAxis: {
                        categories: categories
                    },
                    yAxis: {
                        title: {
                            text: 'Altitude'
                        }
                    },
                    series: tabSerie
                });
            })
            .fail(function (xhr, text, error) {
                console.log("param : " + JSON.stringify(xhr));
            });

}

function afficherAltitudePressionTemps() {
    $.getJSON('../Controleurs/controleur.php',
        { 'commande': 'getTpsAltPres' })
        .done(function (donnees, stat, xhr) {
            var categories = donnees.categories;
            var tabSerie = donnees.series;

            const chart = Highcharts.chart('container', {
                chart: {
                    type: 'spline'
                },
                title: {
                    text: 'Évolution de l’altitude et de la pression dans le temps'
                },
                xAxis: {
                    categories: categories
                },
                yAxis: [
                    { // Axe Y pour l'altitude
                        title: {
                            text: 'Altitude (m)'
                        }
                    },
                    { // Axe Y pour la pression (ajouté)
                        title: {
                            text: 'Pression (hPa)'
                        },
                        opposite: true // Place l'axe de l'autre côté
                    }
                ],
                series: [
                    {
                        name: 'Altitude',
                        data: tabSerie[0].data,
                        yAxis: 0 // Associe à l'axe de gauche (altitude)
                    },
                    {
                        name: 'Pression',
                        data: tabSerie[1].data,
                        yAxis: 1 // Associe à l'axe de droite (pression)
                    }
                ]
            });
        })
        .fail(function (xhr, text, error) {
            console.log("Erreur : " + JSON.stringify(xhr));
        });
}


$(document).ready(function () {
    $("#tpsAlt").click( afficherAltitudeTemps);
    $("#tpsAltPres").click(afficherAltitudePressionTemps);
    
});

